Support » Plugin: Code Snippets » FYI: 2.8.5 was the last good network version

  • Resolved rothschild86

    (@rothschild86)


    I’ve progressively rolled back through each version using WP Rollback until the snippets started working.

Viewing 10 replies - 1 through 10 (of 10 total)
  • I have to say I totally agree on that. When Shea Bunge tried his best to add network options… things just got worse every version.

    Where can I found the version mentioned above? I never had issues then. I want to go back to the good old days.

    EDIT: Oh I see, it can be downloaded from the plugin site. Been there, done that!

    • This reply was modified 1 year, 8 months ago by  getyoowoo.

    Or use “WP Rollback” plugin 🙂

    Plugin Author Shea Bunge

    (@bungeshea)

    I’ve just released version 2.9.5 which undoes a lot of the changes since 2.8.5.

    It was really helpful to mention the last working version, as I was able to use that as a base, so thank you for that.

    I would really appreciate it if you were able to try out the new version and let me know if things are working now. Thanks.

    I must report that 2.9.5 still crashes with:

    Notice: Undefined index: HTTP_REFERER in /home/rothsch1/public_html/trustedlocalpro/wp-content/plugins/link-privacy-master/index.php on line 25

    Fatal error: Cannot redeclare owner_shortcode() (previously declared in /home/rothsch1/public_html/trustedlocalpro/wp-content/plugins/code-snippets/php/snippet-ops.php(433) : eval()’d code:2) in /home/rothsch1/public_html/trustedlocalpro/wp-content/plugins/code-snippets/php/snippet-ops.php(433) : eval()’d code on line 3

    I have not yet been experiencing the errors after 2.9.5 but I’m not sure if this means this part is fixed. I figured out that the errors have some connection with CACHE plugins and GZIP PHP. Turning this off definitely reduced the errors.

    Our main concern is:
    Creating a NETWORK snippets that can be (de)activated on sub sites doesn’t work when activated on sub sites. Only NETWORK snippets (network activated) will work on sub sites.

    Plugin Author Shea Bunge

    (@bungeshea)

    Thanks @rothschild86. Looks like there’s still an issue with duplicate snippet execution that I need to sort out.

    @getyoowoo: I’ll see if I can reproduce this on my multisite installations.

    Plugin Author Shea Bunge

    (@bungeshea)

    Hey @rothschild86 and @getyoowoo, I’ve been doing some more digging and I think I may have discovered the bug that’s causing both of these issues.

    I’ve just released version 2.8.6 which includes a fix. Please try it out and let me know if it fixes things!

    GREAT WORK MAN!

    I can confirm that the multi-site-bug (as described above in my earlier post) has been fixed.

    The love returns 🙂

    Plugin Author Shea Bunge

    (@bungeshea)

    Great! Thank you for confirming!

    Activated 2.9.6 – no crashes. Cheers! Nicely done 🙂

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘FYI: 2.8.5 was the last good network version’ is closed to new replies.